Bug 602876 - [abrt] crash in xterm-256-1.fc13: ScrnRefresh: Process /usr/bin/xterm was killed by signal 11 (SIGSEGV)
[abrt] crash in xterm-256-1.fc13: ScrnRefresh: Process /usr/bin/xterm was kil...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
abrt_hash:f4cf14f07c143a29945f5880636...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 18:32 EDT by Wolfgang Denk
Modified: 2010-07-14 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: xterm-261-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-14 19:00:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.27 KB, text/plain)
2010-06-10 18:32 EDT, Wolfgang Denk
no flags Details
Test data that can be used to demonstrate the bug (10.03 KB, application/x-gzip)
2010-06-10 18:34 EDT, Wolfgang Denk
no flags Details

  None (edit)
Description Wolfgang Denk 2010-06-10 18:32:08 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: xterm
comment: xterm is segfaulting when encountering stray escape sequences; I see this frequently when using an xterm to display the serial console log of a Linux sytem booting. Attached are three test files that can be used to demonstrate the error. Usually it takes 2...5 "cat testX" commands to provoke the error. For example, using "test1" xterm crashes usually when I run "cat test1" for the 3rd time.
component: xterm
crash_function: ScrnRefresh
executable: /usr/bin/xterm
global_uuid: f4cf14f07c143a29945f588063671dd6c831c847
kernel: 2.6.33.5-112.fc13.i686.PAE
package: xterm-256-1.fc13
rating: 4
reason: Process /usr/bin/xterm was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.  start xterm
2.  run "while : ; do cat test1 ; done
3. wait until it crashes
Comment 1 Wolfgang Denk 2010-06-10 18:32:11 EDT
Created attachment 423078 [details]
File: backtrace
Comment 2 Wolfgang Denk 2010-06-10 18:34:02 EDT
Created attachment 423080 [details]
Test data that can be used to demonstrate the bug
Comment 3 Miroslav Lichvar 2010-06-14 08:25:48 EDT
Can you please try the latest xterm from rawhide?

http://koji.fedoraproject.org/koji/taskinfo?taskID=2249267
Comment 4 Wolfgang Denk 2010-06-14 15:00:16 EDT
I ran a number of "real" tests (serial console boot logs) as well as 60,000+ runs with the 3 test data files I provides - everything looks fine to me, no crashes observed any more.

Thanks!
Comment 5 Miroslav Lichvar 2010-06-15 07:38:56 EDT
Ok, I'll prepare a F-13 update once xterm-260 is released.
Comment 6 Fedora Update System 2010-06-21 10:59:23 EDT
xterm-260-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xterm-260-1.fc13
Comment 7 Fedora Update System 2010-06-22 13:15:54 EDT
xterm-260-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xterm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xterm-260-1.fc13
Comment 8 Wolfgang Denk 2010-06-22 14:30:18 EDT
Hm...this doesn't work for me:

-> sudo yum --enablerepo=updates-testing update xterm
...
Setting up Update Process
No Packages marked for Update
-> rpm -q xterm
xterm-256-1.fc13.i686
Comment 9 Fedora Update System 2010-06-29 10:58:04 EDT
xterm-261-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xterm-261-1.fc13
Comment 10 Fedora Update System 2010-06-30 11:17:59 EDT
xterm-261-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xterm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xterm-261-1.fc13
Comment 11 Fedora Update System 2010-07-02 08:35:55 EDT
xterm-261-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xterm-261-2.fc13
Comment 12 Fedora Update System 2010-07-06 13:25:46 EDT
xterm-261-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xterm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xterm-261-2.fc13
Comment 13 Fedora Update System 2010-07-14 19:00:13 EDT
xterm-261-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.